Bug 409681 - openvpn denied write access to /var/log/openvpn-status.log
openvpn denied write access to /var/log/openvpn-status.log
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 21:50 EST by Yves Perrenoud
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yves Perrenoud 2007-12-03 21:50:35 EST
Description of problem:

With the 3.0.8-62 update, openvpn is now being denied write access to
"/var/log/openvpn-status.log". Prior versions (3.0.8-56) did not have this
problem. Here's the AVC entry:

audit(1196733253.939:20): avc:  denied  { write } for  pid=1611 comm="openvpn"
path="/var/log/openvpn-status.log" dev=sda1 ino=993204
scontext=system_u:system_r:openvpn_t:s0 tcontext=system_u:object_r:var_log_t:s0
tclass=file

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.0.8-62.fc8
Comment 1 Daniel Walsh 2007-12-10 14:33:01 EST
Fixed in selinux-policy-3.0.8-68.fc8
Comment 2 Daniel Walsh 2008-01-30 14:06:06 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.